package agilpizza.modelo;

import static junit.framework.Assert.assertEquals;

import java.util.List;

import org.junit.Test;


public class PizzaTest {
	@Test 
	public void testePizza() throws Exception {

		String nomeDePizza = "Mussarella";
		Pizza pizza = new Pizza(nomeDePizza);
		assertEquals("Nome da pizza é errado", nomeDePizza,
				pizza.getNome());

		pizza.adicionaIngrediente("Queijo",3);
		List<Ingrediente> ingredientes = pizza.getIngredientes();

		assertEquals("Numero de ingredientes errado",1,ingredientes.size());

		pizza.adicionaIngrediente("Beterraba",4);
		ingredientes = pizza.getIngredientes();

		assertEquals("Numero de ingredientes errado",2,ingredientes.size());
		System.out.println(ingredientes.get(0).getPreco());
		assertEquals("Ingrediente Queijo não encontrado",3.0,ingredientes.get(0).getPreco());

		assertEquals("Ingrediente Queijo não encontrado","Beterraba",ingredientes.get(1).getNome());
	}
	@Test
	public void testPreco(){
		String nomeDePizza = "Mussarella";
		Pizza pizza = new Pizza(nomeDePizza);
		pizza.adicionaIngrediente("Sálvia" , 1.0, 3);
		pizza.adicionaIngrediente("muzzarela" , 2.0, 4);
		assertEquals("Ingrediente Queijo não encontrado",10.0+3.0+8.0,pizza.getPreco());
		
		
	}
}
